courier 0.66.3 bump
authorHanno Boeck <hanno@gentoo.org>
Tue, 2 Aug 2011 18:44:26 +0000 (18:44 +0000)
committerHanno Boeck <hanno@gentoo.org>
Tue, 2 Aug 2011 18:44:26 +0000 (18:44 +0000)
Package-Manager: portage-2.1.10.9/cvs/Linux x86_64

mail-mta/courier/ChangeLog
mail-mta/courier/Manifest
mail-mta/courier/courier-0.59.0.ebuild [deleted file]
mail-mta/courier/courier-0.64.1.ebuild [deleted file]
mail-mta/courier/courier-0.66.3.ebuild [moved from mail-mta/courier/courier-0.62.2.ebuild with 90% similarity]
mail-mta/courier/files/courier-0.59.0-asneeded.patch [deleted file]
mail-mta/courier/files/courier-init-r1 [deleted file]

index 5874c0a1d4c36e99f075244c2cd795a75a860cf4..7158d2adb3307abbae127eea86fb3b9ae8b92e42 100644 (file)
@@ -1,6 +1,16 @@
 # ChangeLog for mail-mta/courier
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/ChangeLog,v 1.149 2011/07/08 10:03:11 ssuominen Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/ChangeLog,v 1.150 2011/08/02 18:44:26 hanno Exp $
+
+  02 Aug 2011; Hanno Boeck <hanno@gentoo.org> -courier-0.59.0.ebuild,
+  -files/courier-0.59.0-asneeded.patch, -courier-0.62.2.ebuild,
+  -courier-0.64.1.ebuild, +courier-0.66.3.ebuild, -files/courier-init-r1:
+  Remove old versions after stabilizing 0.65.2-r1.
+
+*courier-0.66.3 (02 Aug 2011)
+
+  02 Aug 2011; Hanno Boeck <hanno@gentoo.org> +courier-0.66.3.ebuild:
+  Version bump.
 
   08 Jul 2011; Samuli Suominen <ssuominen@gentoo.org> courier-0.59.0.ebuild:
   Convert from "hasq" to "has".
index c291e58e13c25ec6cf29d62cf3085ddbcef4a166..34498584c7cf4a8633aa572d091c6270e4387559 100644 (file)
@@ -3,8 +3,6 @@ Hash: SHA256
 
 AUX apache-sqwebmail.inc 347 RMD160 9d046149af6138320448fe7bb762b142e0eb9b94 SHA1 4996c33b74a3c9b70886f27948334e3880df8073 SHA256 3a6616dacfd49ab0c89c62d9df5662fc3c2d9e598786d781240bf5e8900afc65
 AUX bofh 23 RMD160 995b6b103c29f390c2f0230af95d4c0823423dcb SHA1 f6399bc612af33ca79921961b223cbdf394d9549 SHA256 7e42d61373770a2b14a6fdd8b5f71c598ce4767726f8f7106de00b7c34a59e8c
-AUX courier-0.59.0-asneeded.patch 534 RMD160 fe2f28235842220d999dc77ed22857dd99c648a2 SHA1 5ae8a8cefbbd91f2146988c9095ac0e3668c1135 SHA256 802ae0431c9d2b55cdda4602522058874765170d12f4e2fcdd064971f8d31991
-AUX courier-init-r1 5252 RMD160 2c770526b4fd2e342c904289573c4f8cb19ca6df SHA1 ac67cd4a9664b1010322b5260f84d017ee06736b SHA256 e74fc291b49dace3ffb3af1844b976255c0c7a34aa0e2d87b5c05f672db9058a
 AUX courier-init-r2 4877 RMD160 bc1bf99be4e032a0e52bba71801c89f9a6cd4383 SHA1 a9e8329fb0582fc0cf0341de4e054096587f2790 SHA256 d6a53142751f71f3a6287806259a640fdc1c8807003510d775b0239e8410d02a
 AUX courier-init-r3 5021 RMD160 784638049a1cb1f6844bb895e7f5520d8d70554b SHA1 4712e25dff8b3e49258e5c32e8e4fe09d45f4820 SHA256 c0847cf475d07ed5133a3ab1760e1501d3f576cad490757fa2529a75d92078ac
 AUX dot_courier 26 RMD160 cf20012379abbb63f78e1eb0f9cbaefff6d1048d SHA1 8e5e09e167035d100859b42311b6dda2842f4d67 SHA256 8c585031b4356ca1f887e0823fd9b365fff57a5f9cc32541eccfc1542d5d3763
@@ -13,21 +11,27 @@ AUX mailer.conf 197 RMD160 4229dfa9cf33b275571538211dad33da5ae84048 SHA1 caf0957
 AUX norewrite.patch 489 RMD160 1d0bacf702126cc4f8b9d7b07bbc6a9357b7b6e9 SHA1 007059af9ab5d89b36004e590b6a21911515f69b SHA256 526f3742fb43af93811e6e4b3210fda1c611b50ce5abdf3a57a25dfe4f5c38e4
 AUX password.dist 247 RMD160 eab211be0b1e3dbd6206f79e993b1d314a24efa3 SHA1 2cdd5bcf561f7267be6f18b731813962030af166 SHA256 46f20a84922d108d39a7c26ad3ba8915326549f46cea811e2384f55a589d38e2
 AUX set-mime 741 RMD160 8ed45fb4a0aee168a70cdcab6d17cf1606f85cad SHA1 b8834602c7304d42f3179a8dde43dcc57d0f4972 SHA256 bf15af7c181d517a924cb82854cbce46278e6e28ffb338e2159ba89c386dc74f
-DIST courier-0.59.0.tar.bz2 7121762 RMD160 580e57fd9d39b62772e07dcdec653379cd21caaf SHA1 6870d2b12f1c93d5ede12f2a5c9c1107a7fb647c SHA256 e488cc920ed970c6d38496dba21359b50c6032ff4f2f91432b5d23db261578ec
-DIST courier-0.62.2.tar.bz2 7132042 RMD160 787b0240a0683350d0d1d7fc5220505d82579af7 SHA1 f7c49a86dc6560e4ab33870c9ac4983aac03949b SHA256 7b129ee12bb0f942354fb09527f706821556a0aa824798cafd004b8f60da2964
-DIST courier-0.64.1.tar.bz2 7131375 RMD160 f7a0733ab2c4f8e0743bbe8b0fb4c44a5d75ceec SHA1 c8b81a2deb87ce07c74033fae807a498e4958e52 SHA256 b1cc5d95b256b7467743bcd78536c952febe3bfd7926fcc51742bf105deaadee
 DIST courier-0.65.2.tar.bz2 7152680 RMD160 6a81f74c85f9e78e6514f840598dde634fe070ce SHA1 784893216ea6c43c91606fa550cfdff13060855d SHA256 496361b8734381ba6128c7b0d5fe4c64ce7d807c01a74aae2cb5be8bb29e5ab2
-EBUILD courier-0.59.0.ebuild 9852 RMD160 c20df0f183efe28d60e19719fd871e6aefc68ae4 SHA1 5a746e2c3392dd78517aa7c3ffb5fdd7fea55570 SHA256 428d469bb2d1f41c8dcadfca3b3e76e05a3eeddc4472b6d4ea678f34e9c2bd81
-EBUILD courier-0.62.2.ebuild 8953 RMD160 4995f86665da5a0deac1296e1c364983f1dd0f7a SHA1 22cf0aa94cb95a86a33ac057ee5f13bbd8019c84 SHA256 ee732446a74ce55712952214a88c9fe7568b7a902b261b76eb7ab322f2dccb98
-EBUILD courier-0.64.1.ebuild 8956 RMD160 bb656a515e865475447f3d96f5b10478a7d076c2 SHA1 b1ad64c11915eb464cefe02ed894c681b13912fd SHA256 853c5501a9b223afe9a150d952e5be8d10eb9ea9e45f39837d1e11c2abbfc370
+DIST courier-0.66.3.tar.bz2 6871617 RMD160 144dc6d5fc2279e50a2f9f349c9c69dd638fe7f8 SHA1 31928fc09dc4e89adae4a601d45df0a9486b7c76 SHA256 5d2f68bdcc89e6a62327b9afed1703a9d2a674f60e0996291f301e7db48d15b5
 EBUILD courier-0.65.2-r1.ebuild 9222 RMD160 195dc916e26f19c3338ab602d0f39751c6ec31ad SHA1 385f0447dd63a228b25a1c063e93d43ac0318529 SHA256 5fa0dc88505d92f876439d505dfc85435ef622888d4d621fd63f307ccc3140eb
 EBUILD courier-0.65.2.ebuild 8958 RMD160 4d0d965fcaf36f3b2fc86a568578d89b1134e87c SHA1 e091d0719b09a1cc97e09cabdf0a7b329f84506e SHA256 534e547ad4806c219a76654a2e4b0bd0892055d8f0191a99fec68f2b1290206e
-MISC ChangeLog 35334 RMD160 2dca46683edbdf320b92badea500328c088cb626 SHA1 8db7fa3223fde02753b0e02da35a85e30b1a81db SHA256 5b990f5dd9e052e137d505d50a580a3157a463722bb1c1e2231fd8160b851477
+EBUILD courier-0.66.3.ebuild 9299 RMD160 460366154442644c256d98ca95b3a135e21489f4 SHA1 35ac55c4fd363618d66f4c1d10fb2c74a5f1e369 SHA256 bc3732632f2ad5c315a41360666d95b45822a93b074b0a25b82221237b0a09a7
+MISC ChangeLog 35708 RMD160 c87821408460c8612568fb014299ef49ea251186 SHA1 3e3296047c43b9eb115b54b04cb01ef99e936ff6 SHA256 2831ea7e23866bedbf76b3179b7e01e3152315996fc227d342a010f636b2df08
 MISC metadata.xml 688 RMD160 d6ea2c5c87e6f305adfef15da4cbc91affe577af SHA1 eaa2f9fea774bdbc651a59929e2fa84f2292b335 SHA256 1cb15a4a98fc9fae0e167e7aa9f8672f3456af2320bb3f8f011ecb612eaa1557
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.17 (GNU/Linux)
 
-iF4EAREIAAYFAk4W1ZAACgkQXkR9YqOcLPG2LQD9HrmAwO/ezxjL/Rxh2XEymyvV
-Obj+TkXFO2d47FgBjTQA/11cfZsMh11gm9G4Iwg860BCyL+YaTDHEHxTg5Ptb7qL
-=St3a
+iQIcBAEBCAAGBQJOOEWPAAoJEKWIAHK7tR5Cz3gQAKcq9fnFd19jCzJ7Md92eBDa
+UAyhGkam6DVdkYdAV2BpgX+UMI2QSZhkbcXRb9dAbiqMG7GvjpzNCPRU5k+UBOLB
+6fsIOFDgJPSETDtYWNXvqYE+m2TqFStyq9k7WfiBlqad8dZSf6Sr3VUjXQ7J7ZvJ
+xRLwjn/ehfvaQZQjxB2lum4qJT7rsk19HgoU+In2AJbNYX+BcmGyaI/sEXjrbaim
+FEkfLrqruU+AltUvFimumFlgpQdWgOTTe312GhPXuJDxJU4Ij1htCHb09Oo6TpLu
+77CW2sbweP29AWOaXdUuZhrk7E2w95pc5gQaBXiCimAqYCsPVBv/8Yld6+fRMkTJ
+6Je86K584t1oob5hSgp0G+i11WCJTFIgyP0FMdB0w+kSlfhKj9xu+IBFZxqMkWmA
+9ERFI+//LmLZxCP9zjyC9TYaZHvF9vYcMyuq8T4BZiXISlXW/SYT91TCGBv+Wd/9
+X2DLZDnEUVUTdjipmuH+qO38CFoaPwQU3H4/X3S6kvCi5H0Wv64VvtAf6FKGhNoi
+SxdcFBZ3RFXz3YJJH/+vGRT6dYhHL7WGKo8dxkuoSBIbeKhc2mQehcCpCZKVFxec
+ZGQWTWNojHAgl7iWsXx3Bt1Sx8pKqFR4wcMTsO8czKpsJ1g7JV4jC97JeVMITjpH
+AJczpFo61MMIi+tlIZZ2
+=D1za
 -----END PGP SIGNATURE-----
diff --git a/mail-mta/courier/courier-0.59.0.ebuild b/mail-mta/courier/courier-0.59.0.ebuild
deleted file mode 100644 (file)
index 2a20915..0000000
+++ /dev/null
@@ -1,318 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/courier-0.59.0.ebuild,v 1.22 2011/07/08 10:03:11 ssuominen Exp $
-
-WANT_AUTOCONF="latest"
-WANT_AUTOMAKE="latest"
-
-inherit eutils flag-o-matic autotools
-
-DESCRIPTION="An MTA designed specifically for maildirs"
-[ -z "${PV/?.??/}" ] && SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
-[ -z "${PV/?.??.?/}" ] && SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
-[ -z "${SRC_URI}" ] && SRC_URI="http://www.courier-mta.org/beta/courier/${P%%_pre}.tar.bz2"
-HOMEPAGE="http://www.courier-mta.org/"
-S="${WORKDIR}/${P%%_pre}"
-
-SLOT="0"
-LICENSE="GPL-2"
-# not in keywords due to missing dependencies: ~arm ~s390 ~ppc64
-KEYWORDS="alpha amd64 hppa ia64 ppc sparc x86"
-IUSE="postgres ldap mysql pam nls ipv6 spell fax crypt norewrite \
-       fam web webmail"
-
-DEPEND="
-       >=net-libs/courier-authlib-0.59
-       >=dev-libs/openssl-0.9.6
-       >=sys-libs/gdbm-1.8.0
-       dev-libs/libpcre
-       app-misc/mime-types
-       fax? ( >=media-libs/netpbm-9.12 app-text/ghostscript-gpl >=net-dialup/mgetty-1.1.28 )
-       pam? ( virtual/pam )
-       mysql? ( virtual/mysql )
-       ldap? ( >=net-nds/openldap-1.2.11 )
-       postgres? ( dev-db/postgresql-base )
-       spell? ( app-text/aspell )
-       fam? ( virtual/fam )
-       !mail-filter/maildrop
-       !mail-mta/esmtp
-       !mail-mta/exim
-       !mail-mta/mini-qmail
-       !mail-mta/msmtp
-       !mail-mta/nbsmtp
-       !mail-mta/netqmail
-       !mail-mta/nullmailer
-       !mail-mta/postfix
-       !mail-mta/qmail-ldap
-       !mail-mta/sendmail
-       !mail-mta/ssmtp
-       "
-
-RDEPEND="${DEPEND}
-       dev-lang/perl
-       sys-process/procps"
-
-# get rid of old style virtual/imapd - bug 350792
-# all blockers really needed?
-RDEPEND="${RDEPEND}
-       !net-mail/bincimap
-       !net-mail/courier-imap
-       !net-mail/cyrus-imapd
-       !net-mail/uw-imap"
-
-PDEPEND="pam? ( net-mail/mailbase )
-       crypt? ( >=app-crypt/gnupg-1.0.4 )"
-
-filter-flags '-fomit-frame-pointer'
-
-src_unpack() {
-       use fam || (
-               ewarn "File Alteration Monitor (FAM) is disabled"
-               ewarn "courier-imap will fall back to 60 second polls."
-               ewarn 'add "fam" to your USE flags to build as usual'
-               ebeep 4
-               epause 4 )
-       unpack ${A}
-       cd "${S}"
-       use norewrite && epatch "${FILESDIR}/norewrite.patch"
-
-       epatch "${FILESDIR}/${P}-asneeded.patch"
-       cd "${S}/gdbmobj/"
-       eautoreconf
-}
-
-src_compile() {
-       local myconf
-       myconf="`use_with ipv6` \
-               `use_with ldap ldapaliasd` `use_enable ldap maildropldap`"
-
-       use ldap && myconf="${myconf} --with-ldapconfig=/etc/courier/maildropldap.conf"
-       use spell || myconf="${myconf} --without-ispell"
-
-       myconf="${myconf} --enable-mimetypes=/etc/mime.types"
-
-       myconf="${myconf} $(use_with fam)"
-
-       einfo "Configuring courier: $(echo ${myconf} | xargs echo)"
-
-       econf \
-               --prefix=/usr \
-               --disable-root-check \
-               --mandir=/usr/share/man \
-               --sysconfdir=/etc/courier \
-               --libexecdir=/usr/$(get_libdir)/courier \
-               --datadir=/usr/share/courier \
-               --sharedstatedir=/var/lib/courier/com \
-               --localstatedir=/var/lib/courier \
-               --with-piddir=/var/run/courier \
-               --with-authdaemonvar=/var/lib/courier/authdaemon \
-               --with-mailuser=mail \
-               --with-mailgroup=mail \
-               --with-paranoid-smtpext \
-               --with-db=gdbm \
-               --disable-autorenamesent \
-               --cache-file="${S}/configuring.cache" \
-               --host="${CHOST}" ${myconf} debug=true || die "./configure"
-       sed -e'/^install-perms-local:/a\        sed -e\"s|^|'"${D}"'|g\" -i permissions.dat' -i Makefile
-       emake || die "Compile problem"
-}
-
-etc_courier() {
-       # Import existing /etc/courier/file if it exists.
-       # Add option only if it was not already set or even commented out
-       file="${1}" ; word="`echo \"${2}\" | sed -e\"s|=.*$||\" -e\"s|^.*opt ||\"`"
-       [ ! -e "${D}/etc/courier/${file}" ] && [ -e "/etc/courier/${file}" ] && \
-                       cp "/etc/courier/${file}" "${D}/etc/courier/${file}"
-       grep -q "${word}" "${D}/etc/courier/${file}" || \
-               echo "${2}" >> "${D}/etc/courier/${file}"
-}
-
-etc_courier_chg() {
-       file="${1}" ; key="${2}" ; value="${3}" ; section="${4}"
-       [ -z "${section}" ] && section="${2}"
-       grep -q "${key}" "${file}" && elog "Changing ${file}: ${key} to ${value}"
-       sed -i -e"/\#\#NAME: ${section}/,+30 s|${key}=.*|${key}=\"${value}\"|g" ${file}
-}
-
-src_install() {
-       local f
-       diropts -o mail -g mail
-       keepdir /var/run/courier
-       keepdir /var/lib/courier/tmp
-       keepdir /var/lib/courier/msgs
-       make install DESTDIR="${D}" || die "install"
-       make install-configure || die "install-configure"
-
-       # Get rid of files we dont want
-       if ! use webmail ; then
-               cd "${D}"
-               cat "${FILESDIR}/webmail_files" | xargs rm -rf
-       fi
-
-       if ! use web ; then
-               cd "${D}"
-               cat "${FILESDIR}/webadmin_files" | xargs rm -rf
-       fi
-
-       for dir2keep in $(cd "${D}" && find ./var/lib/courier -type d) ; do
-               keepdir "$dir2keep" || die "failed running keepdir: $dir2keep"
-       done
-
-       newinitd "${FILESDIR}/courier-init-r1" "courier"
-       use fam || sed -i -e's|^.*use famd$||g' "${D}/etc/init.d/courier"
-
-       cd "${D}/etc/courier"
-       if use webmail ; then
-               insinto /etc/courier
-               newins "${FILESDIR}/apache-sqwebmail.inc" apache-sqwebmail.inc
-       fi
-
-       for f in *.dist ; do cp "${f}" "${f%%.dist}" ; done
-       if use ldap ; then
-               [ -e ldapaliasrc ] &&  ( chown root:0 ldapaliasrc ; chmod 400 ldapaliasrc )
-       else
-               rm -f ldapaliasrc
-       fi
-
-       ( [ -e /etc/courier/sizelimit ] && cat /etc/courier/sizelimit || echo 0 ) \
-               > "${D}/etc/courier/sizelimit"
-       etc_courier maildroprc ""
-       etc_courier esmtproutes ""
-       etc_courier backuprelay ""
-       etc_courier locallowercase ""
-       etc_courier bofh "opt BOFHBADMIME=accept"
-       etc_courier bofh "opt BOFHSPFTRUSTME=1"
-       etc_courier bofh "opt BOFHSPFHELO=pass,neutral,unknown,none,error,softfail,fail"
-       etc_courier bofh "opt BOFHSPFHELO=pass,neutral,unknown,none"
-       etc_courier bofh "opt BOFHSPFFROM=all"
-       etc_courier bofh "opt BOFHSPFMAILFROM=all"
-       etc_courier bofh "#opt BOFHSPFHARDERROR=fail"
-       etc_courier esmtpd "BOFHBADMIME=accept"
-       etc_courier esmtpd-ssl "BOFHBADMIME=accept"
-       etc_courier esmtpd-msa "BOFHBADMIME=accept"
-
-       use fam && etc_courier_chg imapd IMAP_CAPABILITY "IMAP4rev1 UIDPLUS CHILDREN NAMESPACE THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA AUTH=CRAM-MD5 AUTH=CRAM-SHA1 AUTH=CRAM-SHA256 IDLE"
-       use fam || etc_courier_chg imapd IMAP_CAPABILITY "IMAP4rev1 UIDPLUS CHILDREN NAMESPACE THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA AUTH=CRAM-MD5 AUTH=CRAM-SHA1 AUTH=CRAM-SHA256"
-
-       # Fix for a sandbox violation on subsequential merges
-       # - ticho@gentoo.org, 2005-07-10
-       rm "${D}"/usr/sbin/{pop3d,imapd}{,-ssl}
-       dosym /usr/share/courier/pop3d /usr/sbin/courier-pop3d
-       dosym /usr/share/courier/pop3d-ssl /usr/sbin/courier-pop3d-ssl
-       dosym /usr/share/courier/imapd /usr/sbin/courier-imapd
-       dosym /usr/share/courier/imapd-ssl /usr/sbin/courier-imapd-ssl
-
-       cd "${S}"
-       cp imap/README README.imap
-       use nls && cp unicode/README README.unicode
-       dodoc AUTHORS BENCHMARKS COPYING* ChangeLog* INSTALL NEWS README* TODO courier/doc/*.txt
-       dodoc tcpd/README.couriertls
-       mv "${D}/usr/share/courier/htmldoc" "${D}/usr/share/doc/${P}/html"
-
-       if use webmail ; then
-               insinto /usr/$(get_libdir)/courier/courier
-               insopts -m 755 -o mail -g mail
-               doins "${S}/courier/webmaild"
-       fi
-
-       if use web ; then
-               insinto /etc/courier/webadmin
-               insopts -m 400 -o mail -g mail
-               doins "${FILESDIR}/password.dist"
-       fi
-
-       # avoid name collisions in /usr/sbin, make webadmin match
-       cd "${D}/usr/sbin"
-       for f in imapd imapd-ssl pop3d pop3d-ssl ; do mv "${f}" "courier-${f}" ; done
-       if use web ; then
-               sed -i -e 's:\$sbindir\/imapd:\$sbindir\/courier-imapd:g' \
-                       -e 's:\$sbindir\/imapd-ssl:\$sbindir\/courier-imapd-ssl:g' \
-                       "${D}/usr/share/courier/courierwebadmin/admin-40imap.pl" \
-                       || ewarn "failed to fix webadmin"
-               sed -i -e 's:\$sbindir\/pop3d:\$sbindir\/courier-pop3d:g' \
-                       -e 's:\$sbindir\/pop3d-ssl:\$sbindir\/courier-pop3d-ssl:g' \
-                       "${D}/usr/share/courier/courierwebadmin/admin-45pop3.pl" \
-                       || ewarn "failed to fix webadmin"
-       fi
-
-       # users should be able to send mail. Could be restricted with suictl.
-       chmod u+s "${D}/usr/bin/sendmail"
-
-       dosym /usr/bin/sendmail /usr/sbin/sendmail
-}
-
-src_test() {
-       addpredict /
-       echo ">>> Test phase [check]: ${CATEGORY}/${PF}"
-       if has userpriv "${FEATURES}" ; then
-               if ! emake -j1 check; then
-                       has test "${FEATURES}" && die "Make check failed. See above for details."
-                       has test "${FEATURES}" || eerror "Make check failed. See above for details."
-               fi
-       else
-               has test "${FEATURES}" && eerror "Make check needs FEATURES="userpriv" to work."
-       fi
-       SANDBOX_PREDICT="${SANDBOX_PREDICT%:/}"
-}
-
-pkg_postinst() {
-       use fam && elog "fam daemon is needed for courier-imapd" \
-               || ewarn "courier was built without fam support"
-}
-
-pkg_config() {
-       mailhost="$(hostname)"
-       export mailhost
-
-       domainname="$(domainname)"
-       if [ "x$domainname" = "x(none)" ] ; then
-               domainname="$(echo ${mailhost} | sed -e "s/[^\.]*\.\(.*\)/\1/")"
-       fi
-       export domainname
-
-       if [ "${ROOT}" = "/" ] ; then
-               file="${ROOT}/etc/courier/locals"
-               if [ ! -f "${file}" ] ; then
-                       echo "localhost" > "${file}";
-                       echo "${domainname}" >> "${file}";
-               fi
-               file="${ROOT}/etc/courier/esmtpacceptmailfor.dir/${domainname}"
-               if [ ! -f "${file}" ] ; then
-                       echo "${domainname}" > "${file}"
-                       /usr/sbin/makeacceptmailfor
-               fi
-
-               file="${ROOT}/etc/courier/smtpaccess/${domainname}"
-               if [ ! -f "${file}" ]
-               then
-                       netstat -nr | grep "^[1-9]" | while read network gateway netmask rest
-                       do
-                               i=1
-                               net=""
-                               TIFS="${IFS}"
-                               IFS="."
-                               for o in "${netmask}"
-                               do
-                                       if [ "${o}" == "255" ]
-                                       then
-                                               [ "_${net}" == "_" ] || net="${net}."
-                                               t="$(echo "${network}" | cut -d " " -f ${i})"
-                                               net="${net}${t}"
-                                       fi
-                                       i="$((${i} + 1))"
-                               done
-                               IFS="${TIFS}"
-                               echo "doing configuration - relay control for the network ${net} !"
-                               echo "${net}    allow,RELAYCLIENT" >> ${file}
-                       done
-                       /usr/sbin/makesmtpaccess
-               fi
-       fi
-
-       echo "creating cert for esmtpd-ssl:"
-       /usr/sbin/mkesmtpdcert
-       echo "creating cert for imapd-ssl:"
-       /usr/sbin/mkpop3dcert
-       echo "creating cert for pop3d-ssl:"
-       /usr/sbin/mkimapdcert
-}
diff --git a/mail-mta/courier/courier-0.64.1.ebuild b/mail-mta/courier/courier-0.64.1.ebuild
deleted file mode 100644 (file)
index a1735a1..0000000
+++ /dev/null
@@ -1,294 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/courier-0.64.1.ebuild,v 1.11 2011/04/16 11:14:40 ulm Exp $
-
-inherit eutils flag-o-matic
-
-DESCRIPTION="An MTA designed specifically for maildirs"
-SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
-HOMEPAGE="http://www.courier-mta.org/"
-SLOT="0"
-LICENSE="GPL-2"
-# not in keywords due to missing dependencies: ~arm ~s390 ~ppc64
-KEYWORDS="~alpha ~amd64 hppa ~ia64 ppc ~sparc x86"
-IUSE="postgres ldap mysql pam nls ipv6 spell fax crypt norewrite \
-       fam web webmail"
-
-DEPEND="
-       >=net-libs/courier-authlib-0.61.0
-       >=dev-libs/openssl-0.9.6
-       >=sys-libs/gdbm-1.8.0
-       dev-libs/libpcre
-       app-misc/mime-types
-       fax? ( >=media-libs/netpbm-9.12 app-text/ghostscript-gpl >=net-dialup/mgetty-1.1.28 )
-       pam? ( virtual/pam )
-       mysql? ( virtual/mysql )
-       ldap? ( >=net-nds/openldap-1.2.11 )
-       postgres? ( dev-db/postgresql-base )
-       spell? ( app-text/aspell )
-       fam? ( virtual/fam )
-       !mail-filter/maildrop
-       !mail-mta/esmtp
-       !mail-mta/exim
-       !mail-mta/mini-qmail
-       !mail-mta/msmtp
-       !mail-mta/nbsmtp
-       !mail-mta/netqmail
-       !mail-mta/nullmailer
-       !mail-mta/postfix
-       !mail-mta/qmail-ldap
-       !mail-mta/sendmail
-       !mail-mta/ssmtp
-       "
-
-RDEPEND="${DEPEND}
-       dev-lang/perl
-       sys-process/procps"
-
-# get rid of old style virtual/imapd - bug 350792
-# all blockers really needed?
-RDEPEND="${RDEPEND}
-       !net-mail/bincimap
-       !net-mail/courier-imap
-       !net-mail/cyrus-imapd
-       !net-mail/uw-imap"
-
-PDEPEND="pam? ( net-mail/mailbase )
-       crypt? ( >=app-crypt/gnupg-1.0.4 )"
-
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
-       use norewrite && epatch "${FILESDIR}/norewrite.patch"
-}
-
-src_compile() {
-       filter-flags '-fomit-frame-pointer'
-
-       local myconf
-       myconf=""
-
-       use ldap && myconf="${myconf} --with-ldapconfig=/etc/courier/maildropldap.conf"
-
-       econf ${myconf} \
-               $(use_with fam) \
-               $(use_with ipv6) \
-               $(use_with spell ispell) \
-               $(use_with ldap ldapaliasd) \
-               $(use_enable ldap maildroldap) \
-               --enable-mimetypes=/etc/mime.types \
-               --prefix=/usr \
-               --disable-root-check \
-               --mandir=/usr/share/man \
-               --sysconfdir=/etc/courier \
-               --libexecdir=/usr/$(get_libdir)/courier \
-               --datadir=/usr/share/courier \
-               --sharedstatedir=/var/lib/courier/com \
-               --localstatedir=/var/lib/courier \
-               --with-piddir=/var/run/courier \
-               --with-authdaemonvar=/var/lib/courier/authdaemon \
-               --with-mailuser=mail \
-               --with-mailgroup=mail \
-               --with-paranoid-smtpext \
-               --with-db=gdbm \
-               --disable-autorenamesent \
-               --cache-file="${S}/configuring.cache" \
-               --host="${CHOST}" debug=true || die "./configure"
-       sed -e'/^install-perms-local:/a\        sed -e\"s|^|'"${D}"'|g\" -i permissions.dat' -i Makefile
-       emake || die "Compile problem"
-}
-
-etc_courier() {
-       # Import existing /etc/courier/file if it exists.
-       # Add option only if it was not already set or even commented out
-       file="${1}" ; word="`echo \"${2}\" | sed -e\"s|=.*$||\" -e\"s|^.*opt ||\"`"
-       [ ! -e "${D}/etc/courier/${file}" ] && [ -e "/etc/courier/${file}" ] && \
-                       cp "/etc/courier/${file}" "${D}/etc/courier/${file}"
-       grep -q "${word}" "${D}/etc/courier/${file}" || \
-               echo "${2}" >> "${D}/etc/courier/${file}"
-}
-
-etc_courier_chg() {
-       file="${1}" ; key="${2}" ; value="${3}" ; section="${4}"
-       [ -z "${section}" ] && section="${2}"
-       grep -q "${key}" "${file}" && elog "Changing ${file}: ${key} to ${value}"
-       sed -i -e"/\#\#NAME: ${section}/,+30 s|${key}=.*|${key}=\"${value}\"|g" ${file}
-}
-
-src_install() {
-       local f
-       diropts -o mail -g mail
-       keepdir /var/run/courier
-       keepdir /var/lib/courier/tmp
-       keepdir /var/lib/courier/msgs
-       make install DESTDIR="${D}" || die "install"
-       make install-configure || die "install-configure"
-
-       # Get rid of files we dont want
-       if ! use webmail ; then
-               cd "${D}"
-               cat "${FILESDIR}/webmail_files" | xargs rm -rf
-       fi
-
-       if ! use web ; then
-               cd "${D}"
-               cat "${FILESDIR}/webadmin_files" | xargs rm -rf
-       fi
-
-       for dir2keep in $(cd "${D}" && find ./var/lib/courier -type d) ; do
-               keepdir "$dir2keep" || die "failed running keepdir: $dir2keep"
-       done
-
-       newinitd "${FILESDIR}/courier-init-r2" "courier"
-       use fam || sed -i -e's|^.*use famd$||g' "${D}/etc/init.d/courier"
-
-       cd "${D}/etc/courier"
-       if use webmail ; then
-               insinto /etc/courier
-               newins "${FILESDIR}/apache-sqwebmail.inc" apache-sqwebmail.inc
-       fi
-
-       for f in *.dist ; do cp "${f}" "${f%%.dist}" ; done
-       if use ldap ; then
-               [ -e ldapaliasrc ] &&  ( chown root:0 ldapaliasrc ; chmod 400 ldapaliasrc )
-       else
-               rm -f ldapaliasrc
-       fi
-
-       ( [ -e /etc/courier/sizelimit ] && cat /etc/courier/sizelimit || echo 0 ) \
-               > "${D}/etc/courier/sizelimit"
-       etc_courier maildroprc ""
-       etc_courier esmtproutes ""
-       etc_courier backuprelay ""
-       etc_courier locallowercase ""
-       etc_courier bofh "opt BOFHBADMIME=accept"
-       etc_courier bofh "opt BOFHSPFTRUSTME=1"
-       etc_courier bofh "opt BOFHSPFHELO=pass,neutral,unknown,none,error,softfail,fail"
-       etc_courier bofh "opt BOFHSPFHELO=pass,neutral,unknown,none"
-       etc_courier bofh "opt BOFHSPFFROM=all"
-       etc_courier bofh "opt BOFHSPFMAILFROM=all"
-       etc_courier bofh "#opt BOFHSPFHARDERROR=fail"
-       etc_courier esmtpd "BOFHBADMIME=accept"
-       etc_courier esmtpd-ssl "BOFHBADMIME=accept"
-       etc_courier esmtpd-msa "BOFHBADMIME=accept"
-
-       use fam && etc_courier_chg imapd IMAP_CAPABILITY "IMAP4rev1 UIDPLUS CHILDREN NAMESPACE THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA AUTH=CRAM-MD5 AUTH=CRAM-SHA1 AUTH=CRAM-SHA256 IDLE"
-       use fam || etc_courier_chg imapd IMAP_CAPABILITY "IMAP4rev1 UIDPLUS CHILDREN NAMESPACE THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA AUTH=CRAM-MD5 AUTH=CRAM-SHA1 AUTH=CRAM-SHA256"
-
-       # Fix for a sandbox violation on subsequential merges
-       # - ticho@gentoo.org, 2005-07-10
-       rm "${D}"/usr/sbin/{pop3d,imapd}{,-ssl}
-       dosym /usr/share/courier/pop3d /usr/sbin/courier-pop3d
-       dosym /usr/share/courier/pop3d-ssl /usr/sbin/courier-pop3d-ssl
-       dosym /usr/share/courier/imapd /usr/sbin/courier-imapd
-       dosym /usr/share/courier/imapd-ssl /usr/sbin/courier-imapd-ssl
-
-       cd "${S}"
-       cp imap/README README.imap
-       use nls && cp unicode/README README.unicode
-       dodoc AUTHORS BENCHMARKS COPYING* ChangeLog* INSTALL NEWS README* TODO courier/doc/*.txt
-       dodoc tcpd/README.couriertls
-       mv "${D}/usr/share/courier/htmldoc" "${D}/usr/share/doc/${P}/html"
-
-       if use webmail ; then
-               insinto /usr/$(get_libdir)/courier/courier
-               insopts -m 755 -o mail -g mail
-               doins "${S}/courier/webmaild"
-       fi
-
-       if use web ; then
-               insinto /etc/courier/webadmin
-               insopts -m 400 -o mail -g mail
-               doins "${FILESDIR}/password.dist"
-       fi
-
-       # avoid name collisions in /usr/sbin, make webadmin match
-       cd "${D}/usr/sbin"
-       for f in imapd imapd-ssl pop3d pop3d-ssl ; do mv "${f}" "courier-${f}" ; done
-       if use web ; then
-               sed -i -e 's:\$sbindir\/imapd:\$sbindir\/courier-imapd:g' \
-                       -e 's:\$sbindir\/imapd-ssl:\$sbindir\/courier-imapd-ssl:g' \
-                       "${D}/usr/share/courier/courierwebadmin/admin-40imap.pl" \
-                       || ewarn "failed to fix webadmin"
-               sed -i -e 's:\$sbindir\/pop3d:\$sbindir\/courier-pop3d:g' \
-                       -e 's:\$sbindir\/pop3d-ssl:\$sbindir\/courier-pop3d-ssl:g' \
-                       "${D}/usr/share/courier/courierwebadmin/admin-45pop3.pl" \
-                       || ewarn "failed to fix webadmin"
-       fi
-
-       # users should be able to send mail. Could be restricted with suictl.
-       chmod u+s "${D}/usr/bin/sendmail"
-
-       dosym /usr/bin/sendmail /usr/sbin/sendmail
-}
-
-src_test() {
-       if [ `whoami` != 'root' ]; then
-               emake -j1 check || die "Make check failed."
-       else
-               einfo "make check skipped, can't run as root."
-               einfo "You can enable it with FEATURES=\"userpriv\""
-       fi
-}
-
-pkg_postinst() {
-       use fam && elog "fam daemon is needed for courier-imapd" \
-               || ewarn "courier was built without fam support"
-}
-
-pkg_config() {
-       mailhost="$(hostname)"
-       export mailhost
-
-       domainname="$(domainname)"
-       if [ "x$domainname" = "x(none)" ] ; then
-               domainname="$(echo ${mailhost} | sed -e "s/[^\.]*\.\(.*\)/\1/")"
-       fi
-       export domainname
-
-       if [ "${ROOT}" = "/" ] ; then
-               file="${ROOT}/etc/courier/locals"
-               if [ ! -f "${file}" ] ; then
-                       echo "localhost" > "${file}";
-                       echo "${domainname}" >> "${file}";
-               fi
-               file="${ROOT}/etc/courier/esmtpacceptmailfor.dir/${domainname}"
-               if [ ! -f "${file}" ] ; then
-                       echo "${domainname}" > "${file}"
-                       /usr/sbin/makeacceptmailfor
-               fi
-
-               file="${ROOT}/etc/courier/smtpaccess/${domainname}"
-               if [ ! -f "${file}" ]
-               then
-                       netstat -nr | grep "^[1-9]" | while read network gateway netmask rest
-                       do
-                               i=1
-                               net=""
-                               TIFS="${IFS}"
-                               IFS="."
-                               for o in "${netmask}"
-                               do
-                                       if [ "${o}" == "255" ]
-                                       then
-                                               [ "_${net}" == "_" ] || net="${net}."
-                                               t="$(echo "${network}" | cut -d " " -f ${i})"
-                                               net="${net}${t}"
-                                       fi
-                                       i="$((${i} + 1))"
-                               done
-                               IFS="${TIFS}"
-                               echo "doing configuration - relay control for the network ${net} !"
-                               echo "${net}    allow,RELAYCLIENT" >> ${file}
-                       done
-                       /usr/sbin/makesmtpaccess
-               fi
-       fi
-
-       echo "creating cert for esmtpd-ssl:"
-       /usr/sbin/mkesmtpdcert
-       echo "creating cert for imapd-ssl:"
-       /usr/sbin/mkpop3dcert
-       echo "creating cert for pop3d-ssl:"
-       /usr/sbin/mkimapdcert
-}
similarity index 90%
rename from mail-mta/courier/courier-0.62.2.ebuild
rename to mail-mta/courier/courier-0.66.3.ebuild
index 2bae2db992930689e5e294f54985e2ead35e42c9..06fb00f766340c5c6153b2766b22207349ae4e53 100644 (file)
@@ -1,8 +1,8 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/courier-0.62.2.ebuild,v 1.12 2011/04/16 11:14:40 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/courier-0.66.3.ebuild,v 1.1 2011/08/02 18:44:26 hanno Exp $
 
-inherit eutils flag-o-matic
+inherit eutils flag-o-matic multilib
 
 DESCRIPTION="An MTA designed specifically for maildirs"
 SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
@@ -10,13 +10,14 @@ HOMEPAGE="http://www.courier-mta.org/"
 SLOT="0"
 LICENSE="GPL-2"
 # not in keywords due to missing dependencies: ~arm ~s390 ~ppc64
-KEYWORDS="alpha amd64 ~hppa ia64 ppc sparc x86"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86"
 IUSE="postgres ldap mysql pam nls ipv6 spell fax crypt norewrite \
-       fam web webmail"
+       fam web webmail gnutls"
 
 DEPEND="
        >=net-libs/courier-authlib-0.61.0
-       >=dev-libs/openssl-0.9.6
+       !gnutls? ( >=dev-libs/openssl-0.9.6 )
+       gnutls? ( net-libs/gnutls )
        >=sys-libs/gdbm-1.8.0
        dev-libs/libpcre
        app-misc/mime-types
@@ -76,6 +77,7 @@ src_compile() {
                $(use_with spell ispell) \
                $(use_with ldap ldapaliasd) \
                $(use_enable ldap maildroldap) \
+               $(use_with gnutls) \
                --enable-mimetypes=/etc/mime.types \
                --prefix=/usr \
                --disable-root-check \
@@ -126,20 +128,26 @@ src_install() {
 
        # Get rid of files we dont want
        if ! use webmail ; then
-               cd "${D}"
-               cat "${FILESDIR}/webmail_files" | xargs rm -rf
+               rm -rf "${D}/usr/$(get_libdir)/courier/courier/webmail" \
+                       "${D}/usr/$(get_libdir)/courier/courier/sqwebmaild" \
+                       "${D}/usr/share/courier/sqwebmail/" \
+                       "${D}/usr/sbin/webmaild" \
+                       "${D}/usr/sbin/webgpg" \
+                       "${D}/etc/courier/webmail.authpam" \
+                       "${D}/var/lib/courier/webmail-logincache" \
+                       "${D}"/etc/courier/sqwebmaild*
        fi
 
        if ! use web ; then
-               cd "${D}"
-               cat "${FILESDIR}/webadmin_files" | xargs rm -rf
+               rm -rf "${D}/usr/share/courier/courierwebadmin/" \
+                       "${D}/etc/courier/webadmin"
        fi
 
        for dir2keep in $(cd "${D}" && find ./var/lib/courier -type d) ; do
                keepdir "$dir2keep" || die "failed running keepdir: $dir2keep"
        done
 
-       newinitd "${FILESDIR}/courier-init-r2" "courier"
+       newinitd "${FILESDIR}/courier-init-r3" "courier"
        use fam || sed -i -e's|^.*use famd$||g' "${D}/etc/init.d/courier"
 
        cd "${D}/etc/courier"
@@ -177,7 +185,6 @@ src_install() {
 
        # Fix for a sandbox violation on subsequential merges
        # - ticho@gentoo.org, 2005-07-10
-       rm "${D}"/usr/sbin/{pop3d,imapd}{,-ssl}
        dosym /usr/share/courier/pop3d /usr/sbin/courier-pop3d
        dosym /usr/share/courier/pop3d-ssl /usr/sbin/courier-pop3d-ssl
        dosym /usr/share/courier/imapd /usr/sbin/courier-imapd
@@ -188,7 +195,7 @@ src_install() {
        use nls && cp unicode/README README.unicode
        dodoc AUTHORS BENCHMARKS COPYING* ChangeLog* INSTALL NEWS README* TODO courier/doc/*.txt
        dodoc tcpd/README.couriertls
-       mv "${D}/usr/share/courier/htmldoc" "${D}/usr/share/doc/${P}/html"
+       mv "${D}/usr/share/courier/htmldoc" "${D}/usr/share/doc/${PF}/html"
 
        if use webmail ; then
                insinto /usr/$(get_libdir)/courier/courier
diff --git a/mail-mta/courier/files/courier-0.59.0-asneeded.patch b/mail-mta/courier/files/courier-0.59.0-asneeded.patch
deleted file mode 100644 (file)
index 776becb..0000000
+++ /dev/null
@@ -1,18 +0,0 @@
-Index: courier-0.59.0/gdbmobj/Makefile.am
-===================================================================
---- courier-0.59.0.orig/gdbmobj/Makefile.am
-+++ courier-0.59.0/gdbmobj/Makefile.am
-@@ -14,11 +14,12 @@ noinst_LTLIBRARIES=libgdbmobj.la
- noinst_PROGRAMS=testgdbm
- 
- libgdbmobj_la_SOURCES=$(LIBGDBMSOURCES)
-+libgdbmobj_la_LIBADD=@LIBGDBM@
- 
- testgdbm_SOURCES=$(TESTGDBMSOURCES)
- 
- testgdbm_DEPENDENCIES=libgdbmobj.la
--testgdbm_LDADD=libgdbmobj.la @LIBGDBM@
-+testgdbm_LDADD=libgdbmobj.la
- testgdbm_LDFLAGS=-static
- 
- check-am:
diff --git a/mail-mta/courier/files/courier-init-r1 b/mail-mta/courier/files/courier-init-r1
deleted file mode 100644 (file)
index 6a9ebd1..0000000
+++ /dev/null
@@ -1,185 +0,0 @@
-#!/sbin/runscript
-# Portions Copyright 2003 Gentoo Linux
-# $Header: /var/cvsroot/gentoo-x86/mail-mta/courier/files/courier-init-r1,v 1.1 2006/07/11 00:21:53 chtekk Exp $
-#
-# script originally from Courier distfile original name = courier.sysvinit
-# adapted for Gentoo by Brian Jackson
-#
-# TODO
-# should we update all the .dat/.pem files when the source/config files are 
-#      newer than the .dat/.pem files?
-
-prefix="/usr"
-exec_prefix="/usr/bin"
-sysconfdir="/etc/courier"
-sbindir="/usr/sbin"
-libexecdir="/usr/lib/courier"
-datadir="/usr/share/courier"
-
-depend() {
-       need net
-       [ -d /etc/courier/authlib ] && need courier-authlib
-       grep -q "^IMAPDSTART=.*[Yy].*" /etc/courier/imapd && use famd
-       grep -q "^IMAPDSSLSTART=.*[Yy].*" /etc/courier/imapd-ssl && use famd
-}
-
-checkconfig() {
-
-       [ -f ${sysconfdir}/pop3d-ssl ] && . ${sysconfdir}/pop3d-ssl
-
-       # If we do not have a certificate, make one up.
-       [ ! -f "${datadir}/pop3d.pem" ] && \
-       ebegin " generating-POP3-SSL-certificate..." && "${sbindir}/mkpop3dcert"
-
-       [ -f ${sysconfdir}/imapd-ssl ] && . ${sysconfdir}/imapd-ssl
-
-       # If we do not have a certificate, make one up.
-       [ ! -f ${datadir}/imapd.pem ] && \
-       ebegin " generating-IMAP-SSL-certificate..." && "${sbindir}/mkimapdcert"
-
-       [ -f ${sysconfdir}/esmtpd-ssl ] && . ${sysconfdir}/esmtpd-ssl
-
-       # If we do not have a certificate, make one up.
-       [ ! -f ${datadir}/esmtpd.pem ] && \
-       ebegin " generating-ESMTP-SSL-certificate..." && "${sbindir}/mkesmtpdcert"
-
-       # First time after install create aliases.dat and smtpaccess.dat
-
-       [ -f ${sysconfdir}/aliases.dat ] || ${sbindir}/makealiases
-
-       [ -f ${sysconfdir}/${ACCESSFILE}.dat ] || ${sbindir}/makesmtpaccess
-
-       [ -f ${sysconfdir}/${ACCESSFILE}.dat ] || ${sbindir}/makesmtpaccess-msa
-}
-
-start() {
-       # Start daemons.
-       ebegin "Starting Courier mail server:"
-
-       checkconfig || return 1
-
-       ebegin " Starting courierfilterd"
-       ${sbindir}/courierfilter start
-
-       [ ! -d /etc/courier/authlib ] && [ -x ${libexecdir}/authlib/authdaemond ] && \
-       ${libexecdir}/authlib/authdaemond start && ebegin " Starting authdaemond"
-
-       [ -x ${libexecdir}/courier/webmaild ] && \
-         ${libexecdir}/courier/webmaild start && ebegin " Starting webmaild" 
-       [ ! -x ${libexecdir}/courier/webmaild ] && [ -x ${libexecdir}/courier/sqwebmaild ] && \
-         ${libexecdir}/courier/sqwebmaild start && ebegin " Starting sqwebmaild"
-
-       [ -x ${sbindir}/courierldapaliasd ] && \
-       ${sbindir}/courierldapaliasd start && ebegin " Starting courierldapaliasd"
-
-       ebegin " Starting courierd"
-       ${sbindir}/courier start
-
-       # start esmtpd if so written
-       [ -f ${sysconfdir}/esmtpd ] && source ${sysconfdir}/esmtpd
-       case x$ESMTPDSTART in
-       x[yY]*)
-               ebegin " Starting esmtpd"
-               ${sbindir}/esmtpd start
-               ;;
-       esac
-
-       # start esmtpd-msa if so written
-       [ -f ${sysconfdir}/esmtpd-msa ] && source ${sysconfdir}/esmtpd-msa
-       case x$ESMTPDSTART in
-       x[yY]*)
-               ebegin " Starting esmtpd-msa"
-               ${sbindir}/esmtpd-msa start
-               ;;
-       esac
-
-       # start esmtpd-ssl if so written
-       [ -f ${sysconfdir}/esmtpd-ssl ] && source ${sysconfdir}/esmtpd-ssl
-       case x$ESMTPDSSLSTART in
-       x[yY]*)
-               ebegin " Starting esmtpd-ssl"
-               ${sbindir}/esmtpd-ssl start
-               ;;
-       esac
-
-       # start pop3d if so written
-       [ -f ${sysconfdir}/pop3d ] && source ${sysconfdir}/pop3d
-       case x$POP3DSTART in
-       x[yY]*)
-               ebegin " courier-pop3d"
-               ${sbindir}/courier-pop3d start
-               ;;
-       esac
-
-       # start pop3d-ssl if so written
-       [ -f ${sysconfdir}/pop3d-ssl ] && source ${sysconfdir}/pop3d-ssl
-       case x$POP3DSSLSTART in
-       x[yY]*)
-               ebegin " courier-pop3d-ssl"
-               ${sbindir}/courier-pop3d-ssl start
-               ;;
-       esac
-
-       [ -f ${sysconfdir}/imapd ] && source ${sysconfdir}/imapd
-       case x$IMAPDSTART in
-       x[yY]*)
-               ebegin " courier-imapd"
-               ${sbindir}/courier-imapd start
-               ;;
-       esac
-
-       [ -f ${sysconfdir}/imapd-ssl ] && source ${sysconfdir}/imapd-ssl
-       case x$IMAPDSSLSTART in
-       x[yY]*)
-               ebegin " courier-imapd-ssl"
-               ${sbindir}/courier-imapd-ssl start
-               ;;
-       esac
-
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping Courier mail server:"
-
-       ebegin " Stopping courier-esmtpd"
-       ${sbindir}/esmtpd stop
-
-       ebegin " Stopping courier-esmtpd-msa"
-       ${sbindir}/esmtpd-msa stop
-
-       ebegin " Stopping courier-esmtpd-ssl"
-       ${sbindir}/esmtpd-ssl stop
-
-       [ -x ${sbindir}/courier-pop3d ] && \
-               ebegin " Stopping courier-pop3d" && ${sbindir}/courier-pop3d stop
-
-       [ -x ${sbindir}/courier-pop3d-ssl ] && \
-               ebegin " Stopping courier-pop3d-ssl" && ${sbindir}/courier-pop3d-ssl stop
-
-       [ -x ${sbindir}/courier-imapd ] && \
-               ebegin " Stopping courier-imapd" && ${sbindir}/courier-imapd stop
-
-
-       [ -x ${sbindir}/courier-imapd-ssl ] && \
-               ebegin " Stopping courier-imapd-ssl" && ${sbindir}/courier-imapd-ssl stop
-
-       ebegin " Stopping courierd"
-       ${sbindir}/courier stop
-
-       [ -x ${sbindir}/courierldapaliasd ] && \
-       ( ${sbindir}/courierldapaliasd stop ; ebegin " Stopping courierldapaliasd" )
-
-       [ -x ${libexecdir}/courier/webmaild ] && \
-         ( ${libexecdir}/courier/webmaild stop ; ebegin " Stopping webmaild" )
-       [ ! -x ${libexecdir}/courier/webmaild ] && [ -x ${libexecdir}/courier/sqwebmaild ] && \
-         ( ${libexecdir}/courier/sqwebmaild stop ; ebegin " Stopping sqwebmaild" )
-
-       [ ! -d /etc/courier/authlib ] && [ -x ${libexecdir}/authlib/authdaemond ] && \
-       ( ${libexecdir}/authlib/authdaemond stop ; ebegin " Stopping authdaemond" )
-
-       ${sbindir}/courierfilter stop
-       ebegin " Stopping courierfilterd"
-
-       eend $?
-}